TelemetryGet usage and cost summaries

Get usage and cost summaries

Token usage and cost by team, by user, and flagged anomalies. Enterprise only.

curl -X GET "https://www.agentkeeper.dev/api/v1/otlp/usage-costs?days=30" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "summary": {},
  "teams": [
    {}
  ],
  "users": [
    {}
  ],
  "anomalies": [
    {}
  ],
  "days": 42
}
GET
/api/v1/otlp/usage-costs
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An AgentKeeper API key, sent as Authorization: Bearer ak_live_….

An AgentKeeper API key, sent as Authorization: Bearer ak_live_….
query
daysinteger

Lookback window in days.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An AgentKeeper API key, sent as Authorization: Bearer ak_live_….

Query Parameters

daysinteger

Lookback window in days.

Responses

summaryobject
teamsobject[]
usersobject[]
anomaliesobject[]
daysinteger